Author Topic: Error Reports to 5.54, 6.2 and 6.3 Beta  (Read 1328 times)

0 Members and 1 Guest are viewing this topic.

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Error Reports to 5.54, 6.2 and 6.3 Beta
« on: November 12, 2013, 01:48:31 PM »
Hello,
I just installed Aurora yesterday and was asked by multiple error windows by now to report the errors to the forum, which I am finally doing today.  To make it short, it isn't really taking of.  I tried the game in multiple installations so far - first 6. 20(=6. 21) with the (not really necessary) extra race pictures, the a raw 5. 54, and finally the 6. 3 Beta patch today.  None of it really worked, even though the game starts fine, but soon I get error messages when selecting menus.
I am pretty sure I used the right install procedure, as I followed this guideline for the installation: http://www.pcworld.com/article/243366/how_to_install_aurora.html . . .  with the only exception that I kept the c:\Program Files(x86)\Aurora as main install (makes sense), and also that I didn't let the installer overwrite anything, not just the dll's.  After that I followed the corresponding patches instruction.  I am using Win7 by the way.

So here are the problems I stumbled across in each version:
6. 2(6. 21)
This version was the only one that worked fine with all the menus.  Even though I remember getting an error window once or twice, those were done with by simply hitting "ok", and then I could continue.  I cannot remember the exact errors from this version, as it was my first try, and I didn't really expect this much of a hazzle to start remembering problems.  What made me uninstall however was that I could not get time to progress, as whenever I clicked on of the buttons, an error window popped up (I think it was error 71, or 97. . . ), that wouldn't vanish by clicking ok or whatsoever.  At this point the program could only be stopped with the taskmanager.  ->Erased and new installation

5. 54
Time progression worked with this one, but when I got into the officer assignment window, it would spawn this error:
http://abload.de/img/reportc5ui4.jpg
This popped up only when I selected an officer category on the left that actually had officers in it.  I wouldn't for example get an error if I selected "Fleet Admirals", as there was noone of that title.  But as soon as I clicked commanders or civil administrators - error.  This is again a persistent error, that will never cease craving for my attention, even if I clicked it away a hundred times.  Officers are important, so I erased the game and went to the 6. 3 Beta.  My thought was that since it didn't happen in 6. 2 (where I could chose my admin of earth for example), this must have been an error that has been recognized and patched away.

6. 3 Beta
. . . Yet the same error also happened in this version, which is strange considering it wasn't there in the version before.  So I guess it could be that this was somehow caused by the multiple installation, although I am pretty sure I made clean uninstalls, . . hmm.
Another thing that went wrong in this version was an error message at the very beginning of a new game generation.  "Ok" made it go away however, so I didn't worry too much.

So that is where I am now.  Those extremely detailed 4x games are definitly something for me - I played Stars! in the past and also another purely text based 4x, so I can  carry the weight of much tables and data.  I would like to have this running, but it is sooo rebellious.


I am sorry if this topic landed in the wrong sub-forum or something, but there is none more suitable in sight for me, as I cannot open topics in the Aurora Bugs section.
Also - high chance it is intentional (for some obscure reason), but the URL and IMG commands on the forum seem inoperational.  They only transform the links into something completly unusable and impractical, so I rather wrote them down.  Since I have seen links in the patch posts, I guess it just works different here compared to everywhere else? (correction: links get transformed even when written down as words. . . )
« Last Edit: November 12, 2013, 02:20:33 PM by Erik Luken »
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

Offline Erik Luken

  • Administrator
  • Admiral of the Fleet
  • *****
  • Posts: 5109
  • Thanked: 103 times
    • Arkayn Game Design
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #1 on: November 12, 2013, 02:23:05 PM »
Let's start simple.

Did you switch the decimal notation from comma (,) to period (.)?

It is also better to install outside of program files since Windows is very dictatorial as to what may write there. There have been cases where overwriting a file during the upgrade didn't actually copy the file over.

And I fixed the links for you. It is an anti-spam feature that goes away after a while. :)
 

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #2 on: November 12, 2013, 03:24:48 PM »
Quote from: Erik Luken link=topic=6548.   msg66958#msg66958 date=1384287785
Let's start simple.   

Did you switch the decimal notation from comma (,) to period (.   )?
Don't even know how to do that.   :P   :)

Quote
It is also better to install outside of program files since Windows is very dictatorial as to what may write there.    There have been cases where overwriting a file during the upgrade didn't actually copy the file over.   
Damn, I intentionally left it in the x86 folder, because I could forsee problems with some 32 to 64 bit conversion.    Ok, so now I tried to installing the so far best working version for me (6.   2) into my casual directory somewhere on the D drive.    It didn't change anything, and very strangely I kept the same errors I had before in 5.   54 and 6.   3.    .   .   .   How that can be, I have no idea ???
So yeah, I can now process time in this version too, but as soon as I want to select officers - > error crash, only to be resolved by task-manager.    The problems seem to be independent from the versions, but I can't see what I did different the first time that made that installation completly different (here better, there worse), other than that I didn't have the game installed before.   

Quote
And I fixed the links for you.    It is an anti-spam feature that goes away after a while.    :)
Thanks.   
« Last Edit: November 12, 2013, 03:26:25 PM by Vandermeer »
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

Offline Erik Luken

  • Administrator
  • Admiral of the Fleet
  • *****
  • Posts: 5109
  • Thanked: 103 times
    • Arkayn Game Design
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #3 on: November 12, 2013, 03:29:25 PM »
Don't even know how to do that.   :P   :)
From http://aurorawiki.pentarch.org/index.php?title=Requirements
Quote
"1.If you are living in a country which uses the comma (,) for decimal separator, then while playing Aurora you have to switch the Regional Settings of your computer over to US or UK or another country that uses the period (.) as the decimal separator. In XP this is in the Control Panel. "
 

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #4 on: November 12, 2013, 03:57:26 PM »
 :o Oohh, it is working now.  That was surprisingly easy, thanks alot.  I think this little detail should have been included in this "How to install Aurora"/"get around the tricky parts" guide link I posted, ah well.  :P
I am of to test this a little more now.  :)
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #5 on: November 12, 2013, 05:45:09 PM »
Well, so now I tried it and nope, still similar problems just on other fronts.    Here is the current error, again of the time that completly locks the game up:
http://abload.de/img/unbenannt6zuv0.jpg
This is right at the start of a game, and it happens when I press the forward 30 days button.  

//Edit:
By clicking through the errors I recognized that some variations come up:
This { http://abload.de/img/unbenannt2ewuwu.jpg } and this { http://abload.de/img/unbenannt3pdjwn.jpg }.  

//Edit2:
I get an identical error in 6. 3 now.  Also I can confirm what I said above about some error during game generation popping up that didn't appear in the earlier versions I tried.  It does not come up when I generate with the default settings, but when changing to "conventional", turning of orbital motion of planets, and choosing Terran Federation as the main empire theme, I get this: { http://abload.de/img/benanntyjuld.jpg } , so it has got to be one of the three that isn't working here. (I used identical settings on the other versions)
« Last Edit: November 12, 2013, 07:38:39 PM by Erik Luken »
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

Offline Erik Luken

  • Administrator
  • Admiral of the Fleet
  • *****
  • Posts: 5109
  • Thanked: 103 times
    • Arkayn Game Design
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #6 on: November 12, 2013, 07:40:17 PM »
What I'd do at this point is delete the stevefire.mdb file and the aurora.exe file. The copy new ones from the zip file of the version you are using.
 

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #7 on: November 12, 2013, 11:52:16 PM »
Uhm, isn't that what always happens whenever you patch it anew? I mean, the folders in there are only for accessories obviously, so any update must happen inside of those two files when they get overwritten.  Anyway, I still tried, but it is all the same.  I can confirm now however, that the only thing causing the error on world creation is chosing "conventional" mode.  When I only change this, I get an error message, but without this or with other changes, I get no interruptions.
Strange about this are the following things:
- It definitly didn't happen in 6. 2 as I just tried that before with identical settings, and didn't see any errors.
- However, when I start a game in 6. 3B that does not produce this error popup on world creation (meaning, I didn't chose conventional mode), I can actually play! Time can progress without crashes.

I could assume that whatever caused this problem in 6. 2, got patched in 6. 3, yet strangely the fix doesn't apply anymore when in conventional mode.  Pretty sure though that the actual circumstances are more complex than this.

Well, I guess I could play now, but I am still reluctant.  Being able to start this game as a groundsider to "get it all" was the most exciting part so far.  All the other settings I could have had changed, but this now would rob me of the chance to go in there unspoilered and build everything up from the first stone without knowing anything.  So I may wait, except if someone of you tells me that the conventional mode does not more than give you a shortcut to zero techpoints, 1 shipyard and 1/4 research facilities at start, because that I could simulate manually.  Don't suppose so though.
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

Offline MarcAFK

  • Vice Admiral
  • **********
  • Posts: 1768
  • Thanked: 68 times
  • ...it's so simple an idiot could have devised it..
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #8 on: November 13, 2013, 12:06:47 AM »
Conventional start missile bases are bugged, they don't have enough crew quarters so you get those popup's.
You can either check the 'No missile bases for conventional start' when you first generate the game, Or use spacemaster to add extra crew quarters to your bases.
 Turn on space master mode,hit 'class design' then select the missile base design, press the unlock button at the bottom of the page, and check the ' keep excess quantity' box, then add a small and a tiny crew quarter.
After that it should work, at least that did the trick for my test game.
Note this bug has been fixed in the next version '6.40'.

Edit: I just noticed something interesting about the bases, in the ships screen each base lists 212 crew and spare berths -177 , but in class design it lists only 207 crew and spare berths 1, perhaps this explains why this bug has persisted for so long, something odd is going on here"
Edit 2: Also, it seems that even without turning on spacemaster, merely opening the individual unit screen, then the class design screen, then looking back at the unit screen changes the spare berths from -177 back to 1, and fixes the error?
Edit 3: Hmm, Doing the above changes the -177 down to -2 in the Individual unit displays "ship design display' tab, but in the 'class design display" tab it still says 1 spare berth.
« Last Edit: November 13, 2013, 12:20:13 AM by MarcAFK »
" Why is this godforsaken hellhole worth dying for? "
". . .  We know nothing about them, their language, their history or what they look like.  But we can assume this.  They stand for everything we don't stand for.  Also they told me you guys look like dorks. "
"Stop exploding, you cowards.  "
 

Offline Vandermeer

  • Rear Admiral
  • **********
  • Posts: 801
  • Thanked: 23 times
Re: Error Reports to 5.54, 6.2 and 6.3 Beta
« Reply #9 on: November 14, 2013, 08:55:37 AM »
Just to report back: The tipps worked MarcAFK.  Well, the design window didn't help, but I didn't try around so much.  If it really was a -177 crew deficit, then I guess a small and tiny quarter wouldn't fix it, right? . . But whatever, I was fine with a start without missle bases as I was going for humble start anyway, so I didn't bother for too long.

So far I rate it "where was this game all my life"  ;D Already have a 80k tons NX-Class flying.
playing Aurora as swarm fleet: Zen Nomadic Hive Fantasy
 

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52